Package dev.plex.listener.impl

# Class MobListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.MobListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class MobListener extends PlexListener

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final List<org.bukkit.Material>`
`SPAWN_EGGS`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`MobListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onDispense(org.bukkit.event.block.BlockDispenseEvent event)`
`void`
`onEntityClick(org.bukkit.event.player.PlayerInteractEntityEvent event)`
`void`
`onEntitySpawn(org.bukkit.event.entity.EntitySpawnEvent event)`
`void`
`onPlayerInteract(org.bukkit.event.player.PlayerInteractEvent event)`
`private static org.bukkit.entity.EntityType`
`spawnEggToEntityType(org.bukkit.Material mat)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SPAWN_EGGS

private static final List<org.bukkit.Material> SPAWN_EGGS

## Constructor Details

### MobListener

public MobListener()

## Method Details

### spawnEggToEntityType

private static org.bukkit.entity.EntityType spawnEggToEntityType(org.bukkit.Material mat)

### onEntitySpawn

public void onEntitySpawn(org.bukkit.event.entity.EntitySpawnEvent event)

### onDispense

public void onDispense(org.bukkit.event.block.BlockDispenseEvent event)

### onEntityClick

public void onEntityClick(org.bukkit.event.player.PlayerInteractEntityEvent event)

### onPlayerInteract

public void onPlayerInteract(org.bukkit.event.player.PlayerInteractEvent event)